<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIRichResponseCodeMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseCodeBlock extends \Google\Protobuf\Internal\Message
{
    


    protected $highlightType = null;
    


    protected $codeContent = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getHighlightType()
    {
        return isset($this->highlightType) ? $this->highlightType : 0;
    }

    public function hasHighlightType()
    {
        return isset($this->highlightType);
    }

    public function clearHighlightType()
    {
        unset($this->highlightType);
    }

    




    public function setHighlightType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\AIRichResponseCodeMetadata\AIRichResponseCodeHighlightType::class);
        $this->highlightType = $var;

        return $this;
    }

    



    public function getCodeContent()
    {
        return isset($this->codeContent) ? $this->codeContent : '';
    }

    public function hasCodeContent()
    {
        return isset($this->codeContent);
    }

    public function clearCodeContent()
    {
        unset($this->codeContent);
    }

    




    public function setCodeContent($var)
    {
        GPBUtil::checkString($var, True);
        $this->codeContent = $var;

        return $this;
    }

}

